Name:           siege
Version:        4.0.0
Release:        1
Summary:        Siege is an http regression testing and benchmarking utility
Group:          Development/Tools
License:        GPLv2+
URL:            http://www.joedog.org/JoeDog/Siege    
Source0:        ftp://ftp.joedog.org/pub/siege/%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}-aix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  patch
BuildRequires:  openssl-devel >= 1.0.1s-1
Requires:       openssl >= 1.0.1s-1

%description
Siege is an http regression testing and benchmarking utility. 
It was designed to let web developers measure the performance of their code 
under duress, to see how it will stand up to load on the internet. 
Siege supports basic authentication, cookies, HTTP and HTTPS protocols. 
It allows the user hit a web server with a configurable number of concurrent 
simulated users. Those users place the webserver "under siege."


%prep
%setup -q
%patch0


%build
export CC="cc"
export tagname=CC
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static \
    --with-ssl=%{_prefix}
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

# Create /opt/freeware/etc/urls.txt
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}
cp doc/urls.txt ${RPM_BUILD_ROOT}%{_sysconfdir}/urls.txt
chmod 0644 ${RPM_BUILD_ROOT}%{_sysconfdir}/urls.txt

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS ChangeLog COPYING KNOWNBUGS NEWS PLATFORM README.md README.https
%{_bindir}/*
%{_mandir}/man?/*
%config(noreplace) %{_sysconfdir}/urls.txt
/usr/bin/*


%changelog
* Mon Apr 04 2016 Michael Perzl <michael@perzl.org> - 4.0.0-1
- updated to version 4.0.0

* Sun Mar 06 2016 Michael Perzl <michael@perzl.org> - 3.1.4-1
- updated to version 3.1.4

* Sun Mar 06 2016 Michael Perzl <michael@perzl.org> - 3.1.3-1
- updated to version 3.1.3

* Sun Mar 06 2016 Michael Perzl <michael@perzl.org> - 3.1.2-1
- updated to version 3.1.2

* Sun Mar 06 2016 Michael Perzl <michael@perzl.org> - 3.1.1-1
- updated to version 3.1.1

* Sun Mar 06 2016 Michael Perzl <michael@perzl.org> - 3.1.0-1
- updated to version 3.1.0

* Fri Mar 04 2016 Michael Perzl <michael@perzl.org> - 3.0.9-2
- recompiled against latest version of openssl

* Thu Apr 02 2015 Michael Perzl <michael@perzl.org> - 3.0.9-1
- updated to version 3.0.9

* Thu Apr 02 2015 Michael Perzl <michael@perzl.org> - 3.0.8-1
- updated to version 3.0.8

* Thu Apr 02 2015 Michael Perzl <michael@perzl.org> - 3.0.7-1
- updated to version 3.0.7

* Thu Jan 09 2014 Michael Perzl <michael@perzl.org> - 3.0.6-1
- updated to version 3.0.6

* Fri Oct 25 2013 Michael Perzl <michael@perzl.org> - 3.0.5-1
- updated to version 3.0.5

* Mon Aug 19 2013 Michael Perzl <michael@perzl.org> - 3.0.3-1
- updated to version 3.0.3

* Fri Jul 19 2013 Michael Perzl <michael@perzl.org> - 3.0.2-1
- updated to version 3.0.2

* Wed May 15 2013 Michael Perzl <michael@perzl.org> - 3.0.1-1
- updated to version 3.0.1

* Wed Apr 10 2013 Michael Perzl <michael@perzl.org> - 3.0.0-1
- updated to version 3.0.0

* Mon Mar 11 2013 Michael Perzl <michael@perzl.org> - 2.78-1
- updated to version 2.78

* Fri Mar 08 2013 Michael Perzl <michael@perzl.org> - 2.77-1
- updated to version 2.77

* Fri Mar 01 2013 Michael Perzl <michael@perzl.org> - 2.75-1
- updated to version 2.75

* Fri Mar 01 2013 Michael Perzl <michael@perzl.org> - 2.74-1
- updated to version 2.74

* Wed Aug 20 2008 Michael Perzl <michael@perzl.org> - 2.70-1
- updated to version 2.70

* Wed Aug 20 2008 Michael Perzl <michael@perzl.org> - 2.67-1
- first version for AIX V5.1 and higher
